EDIT - task #9206

Solve cglib vs. cglib-nodep
08/25/2020 04:07 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal

Description

Cglib and cglib-nodep are very similar libraries as they both include the cglib part but cglib-nodep also includes classes from asm.
This has been done to be version independent from asm but has the drawback that it is not extendable (
https://github.com/cglib/cglib/wiki ) .

We expect that cglib-nodep is sufficient for cdmlib and will test this.

All dependecies to cglib should be excluded therefore.

This is also to avoid multiple locations warnings from maven.
Also hibernate-cglib-repack probably can be removed. It is anyway only linked by cdmlib-remote. And it is not clear why.

For information on how cglib-nodep is build see: https:/github.com/cglib/cglib/blob/master/cglib-nodep/pom.xml

Related issues:
Related to EDIT - feature request #9204: Update cdmlib and taxeditor dependen... Closed

Associated revisions

Revision f4934ec3 - 08/25/2020 04:53 PM - Andreas Miiller

ref #9204 , ref #9206 remove hibernate-cglib-repack from cdmlib-remote

Revision 07520d1a - 08/25/2020 05:09 PM - Andreas Miiller

ref #9204 remove cglib dependency management from cdmlib, only cglib-nodep is used

Revision 220a3f38 - 08/25/2020 05:13 PM - Andreas Miiller
ref #9204, ref #9206 cglib from taxeditor.cdmlib, move cglib-nodep to pom

Revision ed59dfa5 - 08/25/2020 05:34 PM - Andreas Miiller
ref #9206, ref #9204 exclude cglib dependency from unitils-easymock

History

#1 - 08/25/2020 04:08 PM - Andreas Miiller
- Related to feature request #9204: Update cdmlib and taxeditor dependencies added

#2 - 08/25/2020 04:15 PM - Andreas Miuller

- Description updated

#3 - 08/25/2020 04:53 PM - Andreas Miiller

- Description updated

#4 - 08/25/2020 05:17 PM - Andreas Miiller
- Status changed from New to Resolved
- Assignee changed from Andreas Miiller to Andreas Kohlbecker

- % Done changed from 0 to 50

This should be fixed. Andreas K., can you please review and especially check if the removal of hibernate-cglib-repack is ok? | can't see why it should
be still needed.
#5 - 12/01/2020 04:12 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

the dependency to hibernate-cglib-repack was introduced by ben on Wed Feb 25 2009.

| don't see any further need for this, since it only mediates a transient dependency to cglib:cglib-nodep which is included anyway more explicitely and
cdmlib builds and works properly without it.

Therefore | am closing this issue as solved.

#6 - 12/01/2020 04:12 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Miiller
